Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026740
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2014-05-30 10:552014-06-05 13:21
ReportercaristuView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revision4c16f70d9e63
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToOrekaria
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026740: Disable the pay button until the discounts have been applied

DescriptionThe payment button should be disabled until all the discounts involved in the ticket have been applied.

If this button is enabled during the applying discount process, it could happen that the user click on the pay button before all discounts have been applied when the discount process is slow.
Steps To ReproduceIn Description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0026866RR14Q3 closedmalsasua Total should not be available until all the amounts has been recalculated 
related to feature request 0026894RR14Q4 closedOrekaria Stabilization: Improve the synchronization management 
related to defect 0026880 closedOrekaria In very slow computers the WebPOS can be cheated 
related to defect 0027268RR14Q4 closedOrekaria Stabilization: Improve the enabling/disabling of the pay button 
blocks backport 0027431 closedRetail Sometimes the business partner is empty when the WebPOS loads 

-  Notes
(0067696)
hgbot (developer)
2014-06-03 04:48

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4c16f70d9e630eadd1abd1a8f184e250e95f45f9
Author: Salvador Zapata <salvador.zapata <at> gmail.com>
Date: Mon Jun 02 23:46:54 2014 -0300
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4c16f70d9e630eadd1abd1a8f184e250e95f45f9 [^]

Fixed issue 0026740: Disable the pay button until the discounts have been applied

---
M web/org.openbravo.retail.posterminal/js/model/executor.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0067780)
Orekaria (administrator)
2014-06-05 13:21

Tested in revision 3650

- Issue History
Date Modified Username Field Change
2014-05-30 10:55 caristu New Issue
2014-05-30 10:55 caristu Assigned To => malsasua
2014-05-30 10:55 caristu Triggers an Emergency Pack => No
2014-06-02 18:45 caristu Target Version => RR14Q3
2014-06-02 18:48 caristu Category Web POS Hardware Manager => Web POS
2014-06-03 04:48 hgbot Checkin
2014-06-03 04:48 hgbot Note Added: 0067696
2014-06-03 04:48 hgbot Status new => resolved
2014-06-03 04:48 hgbot Resolution open => fixed
2014-06-03 04:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4c16f70d9e630eadd1abd1a8f184e250e95f45f9 [^]
2014-06-05 13:21 Orekaria Review Assigned To => Orekaria
2014-06-05 13:21 Orekaria Note Added: 0067780
2014-06-05 13:21 Orekaria Status resolved => closed
2014-06-05 13:21 Orekaria Fixed in Version => RR14Q3
2014-06-20 11:12 malsasua Relationship added related to 0026866
2014-06-23 09:46 malsasua Relationship replaced has duplicate 0026866
2014-07-14 12:30 Orekaria Relationship added related to 0026894
2014-07-29 09:05 Orekaria Relationship added has duplicate 0026880
2014-07-29 09:06 Orekaria Relationship replaced related to 0026880
2014-08-02 02:39 Orekaria Relationship added related to 0027268
2014-08-26 13:12 Orekaria Relationship added blocks 0027431


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker